package com.abbidot.tracker.ui.activity.help

import coil.load
import com.abbidot.tracker.R
import com.abbidot.tracker.base.BaseActivity
import com.abbidot.tracker.databinding.ActivityHelpPowerOnOffBinding

class HelpPowerOnOffActivity :
    BaseActivity<ActivityHelpPowerOnOffBinding>(ActivityHelpPowerOnOffBinding::inflate) {

    override fun getTopBar() = mViewBinding.ilHelpPowerOnOffBar.titleTopBar

    override fun initData() {
        super.initData()
        setTopBarTitle(R.string.txt_power_on_off)
        setLeftBackImage(R.drawable.icon_white_back_svg)

        mViewBinding.apply {
            ivHelpPowerOnOffGif.load(R.drawable.charge_power_on)
            ivHelpShakeGif.load(R.drawable.gif_shake_on)
            ilHelpPowerOnOffTitle.tvHelpTitleOne.setText(R.string.txt_power_on_off_tip)
            ilHelpShakeTitle.tvHelpTitleOne.setText(R.string.txt_power_on_off_install_tip)
        }

    }
}